/**
 * 充值操作
 * 
 */
$(document).ready(function(){
	//禁用流览器返回
//	window.history.forward(1);
	// 点击全选时
	$("#all").click(function(){
		if($(this).attr("checked")=='checked'){
			$("input[name=cbIds]").attr("checked","checked");
		}else{
			$("input[name=cbIds]").attr("checked",false);
		}
	});
	
	//退款
	$("#drawbackAll").click(function(){
		var idArray = new Array();
		var productIdArray = new Array();
		$("input[name='cbIds']:checked").each(function() {
			idArray.push($(this).val());
			productIdArray.push($(this).attr("productId"));
		});
		if(idArray == null || idArray == ""){
			layer.alert("请选择需要退款的订单");
			return;
		}
		var ids = idArray.join(",");
		var productIds = productIdArray.join(",");
		drawback(ids,productIds);
	});
	
	//全选充值
	$("#recharegeAll").click(function(){
		var idArray = new Array();
		var productIdArray = new Array();
		$("input[name='cbIds']:checked").each(function() {
			idArray.push($(this).val());
			productIdArray.push($(this).attr("productId"));
		});
		if(idArray == null || idArray == ""){
			layer.alert("请选择需要充值的订单");
			return;
		}
		var ids = idArray.join(",");
		var productIds = productIdArray.join(",");
		
		recharege(ids,productIds);
	});
	
	//查询
	$("#btn-search").click(function(){
		$("#conditionform").submit();
	});
	
});

//退款
function drawback(id,productId){
	layer.confirm('确定退款吗?', {icon: 3, title:'提示'}, function(index){
	//生成订单
	$.ajax({
		type:'POST',
		url:'../recharge/drawback',
		data:{"id":id},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			if(data.code == '0'){
				alert(data.msg);
				window.location.href="../recharge/queryRechargeList?mobile="+$("#mobile").val()+"&payStatus="+$("#payStatus").val()+"&type="+$("#type").val()+"&startTime="+$("#startTime").val()+"&endTime="+$("#endTime").val()+"&status="+$("#status").val();
			}
			if(data.resultCode == '200'){
				alert(data.resultDesc);
				window.location.href="../recharge/queryRechargeList?mobile="+$("#mobile").val()+"&payStatus="+$("#payStatus").val()+"&type="+$("#type").val()+"&startTime="+$("#startTime").val()+"&endTime="+$("#endTime").val()+"&status="+$("#status").val();
			}
			if(data.resultCode == 'ERROR'){
				alert(data.resultDesc);
				window.location.href="../recharge/queryRechargeList?mobile="+$("#mobile").val()+"&payStatus="+$("#payStatus").val()+"&type="+$("#type").val()+"&startTime="+$("#startTime").val()+"&endTime="+$("#endTime").val()+"&status="+$("#status").val();
			}
		}
	});
	layer.close(index);
	});
}

//手动充值
function recharege(id,productId){
	//生成订单
	$.ajax({
		type:'POST',
		url:'../recharge/recharege',
		data:{"id":id,"productId":productId},
		dataType: 'json',//返回值类型 一般设置为json
		success: function (data)  //服务器成功响应处理函数
		{
			alert(data.msg);
			if(data.code == '0'){
//				window.location.reload();
				window.location.href="../recharge/queryRechargeList?mobile="+$("#mobile").val()+"&payStatus="+$("#payStatus").val()+"&type="+$("#type").val()+"&startTime="+$("#startTime").val()+"&endTime="+$("#endTime").val()+"&status="+$("#status").val();
			}
		}
	});
}

//导出流量
function exportRecharge(){
	var type = $("#type").val();
	var status = $("#status").val();
	var payStatus = $("#payStatus").val();
	var startTime = $("#startTime").val();
	var endTime = $("#endTime").val();
	window.location.href="../recharge/exportRecharge?type="+type+"&status="+status+"&startTime="+startTime+"&endTime="+endTime+"&payStatus="+payStatus;
}
